Bug 181941 - Add an option to image editor to remember or not tools settings between sessions
Summary: Add an option to image editor to remember or not tools settings between sessions
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Setup-ImageEditor (show other bugs)
Version: 0.10.0
Platform: unspecified Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-01-26 00:33 UTC by Anders Lund
Modified: 2019-09-18 17:11 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In: 6.4.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Anders Lund 2009-01-26 00:33:00 UTC
Version:           0.10.0-rc1 (using 4.2.00 (KDE 4.2.0), Arch Linux)
Compiler:          gcc
OS:                Linux (x86_64) release 2.6.28-ARCH

For example the color curve editor, and it is unlikely that I want to do the same adjustment twice. So starting with blank settings would be much smarter, esp. since I can easily save a useful setting in most of the tools (nice!)
Comment 1 caulier.gilles 2009-01-26 06:19:26 UTC
Sorry, i don't understand where is the problem here...

Gilles Caulier
Comment 2 caulier.gilles 2009-01-26 11:26:30 UTC
Andi,

Are you understand the problem ?

Gilles
Comment 3 Andi Clemens 2009-01-26 11:35:36 UTC
I think he is talking about the fact that if you used Curves tool and set a curve in there, this curve will be reused again when starting the curve tool on another image. You need to click "reset" to get rid of it.

So he suggests to always start with a "clean" curve, because most of the time you do not use the same curve for different images.

Andi
Comment 4 caulier.gilles 2009-01-26 11:49:42 UTC
Ok,

And some other people want to apply same settings on different images. This is why i have implemented this workflow...

Gilles
Comment 5 Andi Clemens 2009-01-26 11:55:46 UTC
Yes, I know... I can remember that discussion.
From my point of view it would make more sense to have a clear curve, I always need to tweak the curve settings to fit the images, I never had a situation where one curve fit all images.
Maybe we can add a config option "remember curve settings" somewhere in the tool?
But then again isn't that the same as saving the settings?

Andi
Comment 6 Anders Lund 2009-01-26 17:10:13 UTC
I think having either a checkbox for keeping, or a button to load last used, would make a lot of sense, with "default" settings being default.

And this is true for all the (color) tools that works this way.
Comment 7 Sherwood Botsford 2009-04-05 23:31:34 UTC
Both sides have a case.  Think about organ stops.  You can leave the organ set as it was for the end of the performance, or you can hit the clear button and turn all stops off.

But a good organist uses presents:  Preset 1 has Great set to 16' Diapason + 8' Clarinett + 5' trumpet.

Similarly if you're any good with your camera, you will often make the same mistake all day long. (If you're going to be wrong, be consistently wrong.)

If I'm doing a mixed set of pix, I will probably start with a clear set each time.  If I'm doing a series shot under similar light, I will strike a similar set of fixes each time.

How hard would it be to implement organ stops?  Probably only 3 of for a given filter.  That way you can load a pix, and start off with the first approximation to the answer.  Having 3 allows you to have a few presets if you are on a shoot where you move from one light to another on a frequent basis. (I 'm thinking of a hike where we bounced in and out of heavy forest.)

Click applies that setting.  control-Z backs up.
Shift Click (right click?) stores the current setting to that stop.
Mouse hover over setting shows what the effect would be?

Each setting can be given a name.  "Gloomfix" "WaytooBright" "PolaroidWannabee"
(Naming the button is something that you let the user do.)
Comment 8 Anders Lund 2009-04-06 10:48:34 UTC
Most digikam filters and tools allows to save configurations, but they does absolutely not make it easy to use.

Configurations should be saved in the application data
Configurations should be directly selectable from a list, no "load" button.
Comment 9 Maik Qualmann 2019-09-18 17:11:42 UTC
Fixed with Bug 408881

Maik